curl --request POST \
--url https://inboxapp.com/api/v1/lists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Hot Leads",
"icon": "rocket",
"color": "red",
"description": "Leads from the 2025 conference"
}
'import requests
url = "https://inboxapp.com/api/v1/lists"
payload = {
"name": "Hot Leads",
"icon": "rocket",
"color": "red",
"description": "Leads from the 2025 conference"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Hot Leads',
icon: 'rocket',
color: 'red',
description: 'Leads from the 2025 conference'
})
};
fetch('https://inboxapp.com/api/v1/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "Product Hunt Leads",
"slug": "product-hunt-leads",
"icon": "list",
"color": "#3b82f6",
"description": "Leads scraped from Product Hunt launches",
"profilesCount": 1520,
"reachableEstimate": 123,
"reachableCount": 1200,
"columns": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Create list
Create a new list for organizing leads
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The name of the list. Maximum 255 characters.
1 - 255"Hot Leads"
"Conference Attendees"
Icon name for the list. Must be one of the predefined icon names. Defaults to a random icon if omitted.
anchor, aperture, apple, at-sign, atom, badge-check, banana, beef, biceps-flexed, bike, badge-dollar-sign, bitcoin, bone, book, box, braces, brain, building-2, cake, calendar, camera, castle, chart-column-increasing, chart-pie, chef-hat, circle-alert, circle-help, clapperboard, clock, cloud, cloud-drizzle, cloud-sun, code, coffee, construction, cooking-pot, cpu, crown, disc-3, dices, dna, door-open, drafting-compass, drama, droplet, dumbbell, earth, egg, eye, fingerprint, flag, flame, flask-conical, gavel, ghost, git-merge, graduation-cap, guitar, hash, headphones, heart, hourglass, ice-cream-cone, image, instagram, key, keyboard, landmark, languages, laptop, leaf, lightbulb, lock, lock-open, magnet, mail, map, map-pin, martini, medal, megaphone, message-circle, messages-square, mic-vocal, milestone, moon, mouse-pointer-2, music, octagon, package, paintbrush-vertical, palette, party-popper, pause, phone, percent, pencil, pin, plane, play, popcorn, puzzle, pyramid, quote, rainbow, radio-tower, refresh-cw, rocket, sailboat, scissors, send, settings, shapes, shield-check, sigma, signpost, snowflake, speaker, star, stethoscope, sun, superscript, swords, syringe, tags, tally-5, telescope, tent-tree, test-tubes, thermometer, thumbs-down, thumbs-up, ticket, timer, tornado, traffic-cone, trash, trending-down, trending-up, trophy, twitter, tv, umbrella, user, users, utensils, volume-2, volume-x, wand-sparkles, watch, x, wine, wind, youtube, zap, cog, circle-user-round "rocket"
"star"
"users"
Color for the item. Can be a predefined color name (red, blue, green, etc.) or a hex code (#ef4444).
"red"
A brief description of the list.
1000"Leads from the 2025 conference"
Response
OK
Unique identifier for the list.
^[0-9a-z]+$Display name of the list.
"Product Hunt Leads"
URL-friendly slug for the list.
"product-hunt-leads"
Icon name for the list.
"list"
Hex color code for the list.
"#3b82f6"
Optional description of the list.
"Leads scraped from Product Hunt launches"
Total number of profiles in the list.
1520
Estimated number of reachable profiles in the list.
Number of profiles that can be contacted.
1200
Column definitions for the list.
Show child attributes
Show child attributes
When the list was created.
When the list was last updated.
Was this page helpful?